#include <esp_now.h>
#include <WiFi.h>

#define LED_PIN 2

void OnDataRecv(const uint8_t *mac, const uint8_t *incomingData, int len) {
  digitalWrite(LED_PIN, *incomingData);
}

void setup() {
  Serial.begin(115200);
  WiFi.mode(WIFI_STA);
  pinMode(LED_PIN, OUTPUT);
  
  if (esp_now_init() != ESP_OK) {
    Serial.println("Error initializing ESP-NOW");
    return;
  }
  uint8_t esp_now_register_recv_cb(OnDataRecv);
}

void loop() {
  
}